# Class SequentialAgentConfig

java.lang.Object
com.google.adk.agents.BaseAgentConfig
com.google.adk.agents.SequentialAgentConfig

public class SequentialAgentConfig extends BaseAgentConfig
Configuration for SequentialAgent.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class BaseAgentConfig

  `BaseAgentConfig.AgentRefConfig, BaseAgentConfig.CallbackRef`
  Modifier and Type
  Class
  Description
  `static class`
  `BaseAgentConfig.AgentRefConfig`
  Configuration for referencing other agents (subagents).
  `static class`
  `BaseAgentConfig.CallbackRef`
  Reference to a callback stored in the ComponentRegistry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequentialAgentConfig()`

- ## Method Summary

  ### Methods inherited from class BaseAgentConfig

  `afterAgentCallbacks, agentClass, beforeAgentCallbacks, description, name, setAfterAgentCallbacks, setAgentClass, setBeforeAgentCallbacks, setDescription, setName, setSubAgents, subAgents`
  Modifier and Type
  Method
  Description
  `com.google.common.collect.ImmutableList<BaseAgentConfig.CallbackRef>`
  `afterAgentCallbacks()`
  `String`
  `agentClass()`
  `com.google.common.collect.ImmutableList<BaseAgentConfig.CallbackRef>`
  `beforeAgentCallbacks()`
  `String`
  `description()`
  `String`
  `name()`
  `void`
  `setAfterAgentCallbacks(List<BaseAgentConfig.CallbackRef> afterAgentCallbacks)`
  `void`
  `setAgentClass(String agentClass)`
  `void`
  `setBeforeAgentCallbacks(List<BaseAgentConfig.CallbackRef> beforeAgentCallbacks)`
  `void`
  `setDescription(String description)`
  `void`
  `setName(String name)`
  `void`
  `setSubAgents(List<BaseAgentConfig.AgentRefConfig> subAgents)`
  `com.google.common.collect.ImmutableList<BaseAgentConfig.AgentRefConfig>`
  `subAgents()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SequentialAgentConfig

    public SequentialAgentConfig()